<!DOCTYPE html>
<html>
<head>
</head>
<body style="padding: 10px;">
<table style="width: 100%;">
    <tr>
        <td>
            <img alt="" src="https://eka.sgp1.digitaloceanspaces.com/assets/login_logo2.png" style="height: 40px;
                    margin-bottom: 20px;margin-left: 0px; ">
            {% if (logo != null) %}
                <img alt="" src="{{ logo }}" style="height: 60px;
                        padding: 5px; float: right;
                        margin: 0px 10px">
            {% endif %}
        </td>
    </tr>
</table>
<div style="margin-bottom: 5px;font-size: 20px;">Line Items Approval Required</div>
<div style="margin-bottom: 20px;">
    <table style="width:90%;border-spacing: 0px;margin-left: 100px;display: inline-table;border-right: none !important;">
        <thead style="border-spacing: 0px;">
        <tr style="height:40px;padding: 0px;">
            <td style="font-size: 13px;font-weight: 700;">
                Instructions
            </td>
        </tr>
        </thead>
        <tbody style="border-spacing: 0px;">
            <tr style="height:40px;padding: 0px;">
                <td>
                    <p><b>To Accept All</b> - Click APPROVE ALL Button and press Submit button</p>
                    <p><b>To Decline All</b> - Click DECLINE ALL Button and press Submit button</p>
                    <p><b>To Partial Approve</b> - Click  Partially Approve first and then Click individual decline button and press Submit button</p>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<div style="text-align: right;margin-bottom: 20px;">
    <table style="width:230px;margin-left: auto;">
        <tbody>
        <tr>
            <td>
                <a href="{{ request.approveAllLink }}" style="
                            background-color: #5148e7;
                            color: #fff;
                            border-radius: 4px;
                            padding: 10px 0px;
                            cursor: pointer;
                            width: 100px;
                            text-align: center;
                            text-decoration: none;
                            display: block;" target="_blank">Approve All</a>
            </td>
            <td>
                <a href="{{ request.partialApproveLink }}" style="
                            background-color: #5148e7;
                            color: #fff;
                            border-radius: 4px;
                            padding: 10px 0px;
                            cursor: pointer;
                            width: 100px;
                            text-align: center;
                            text-decoration: none;
                            display: block;" target="_blank">Partial Approve</a>
            </td>
            <td>
                <a href="{{ request.declineAllLink }}" style=" background-color: red; color: #fff; border-radius: 4px; margin-left: 15px;
                padding: 10px 0px; width: 100px; text-align: center; cursor:pointer; text-decoration: none;
                display: block;" target="_blank">Decline All</a>
            </td>
            <td>
                <a href="{{ request.submitLink }}" style="
                            background-color: #5148e7;
                            color: #fff;
                            border-radius: 4px;
                            padding: 10px 0px;
                            cursor: pointer;
                            width: 100px;
                            text-align: center;
                            text-decoration: none;
                            display: block;" target="_blank">Submit</a>
            </td>
        </tr>
        </tbody>
    </table>
</div>
<table style=" width:100%;border: 1px solid #444;border-spacing: 0px;">
    <thead style="border-spacing: 0px;">
      <tr style="height:40px;padding: 0px;">
        <td style="
                    border-right: 1px solid #444;
                    text-align: center;
                    font-size: 13px;
                    background-color: #deeaf6;
                    font-weight: 700;
                    width:150px;
                    ">
            S.No.
        </td>
        <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                background-color: #deeaf6;
                font-weight: 700;
                width:150px;
                ">
            Vendor Name
        </td>
        <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                background-color: #deeaf6;
                font-weight: 700;
                width:150px;
                ">
            Invoice Number
        </td>
        <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                background-color: #deeaf6;
                font-weight: 700;
                width:150px;
                ">
            Invoice Date
        </td>
        <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                background-color: #deeaf6;
                font-weight: 700;
                width:150px;
                ">
            Description
        </td>
        <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                background-color: #deeaf6;
                font-weight: 700;
                width:150px;
                ">
            Total
        </td>
        <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                background-color: #deeaf6;
                font-weight: 700;
                width:150px;
                ">
            Invoice Link
        </td>
        <td style="
                text-align: center;
                font-size: 13px;
                background-color: #deeaf6;
                font-weight: 700;
                width:150px;
                ">
            Action
        </td>
    </tr>
    </thead>
    <tbody>
    {% for item in request.items %}
        <tr style="height:40px">
            <td style="
                    border-right: 1px solid #444;
                    text-align: center;
                    font-size: 13px;
                    width:150px;
                    ">
                {{ item.sNo }}
            </td>
            <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                width:150px;
                ">
                {{ item.vendorName }}
            </td>
            <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                width:150px;
                ">
                {{ item.invoiceNumber }}
            </td>
            <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                font-weight: 700;
                width:150px;
                ">
                {{ item.invoiceDate }}
            </td>
            <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                font-weight: 700;
                width:150px;
                ">
                {{ item.description }}
            </td>
            <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                font-weight: 700;
                width:150px;
                ">
                {{ item.total }}
            </td>
            <td style="
                border-right: 1px solid #444;
                text-align: center;
                font-size: 13px;
                font-weight: 700;
                width:150px;
                ">
                <a href="{{ item.receiptLink }}" target="_blank">View</a>
            </td>
            <td style="
                text-align: center;
                font-size: 13px;
                font-weight: 700;
                width:150px;
                text-transform: uppercase;
                ">
                <a href="{{ item.declineLink }}" style="text-decoration: none;color: red;" target="_blank">DECLINE</a>
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>
<div style="margin-top: 20px; width: 100%;">
    <table style="width:40%;border: 1px solid #444;border-spacing: 0px;display: inline-table;">
        <thead style="border-spacing: 0px;">
        <tr style="height:40px;padding: 0px;">
            <td style="
                    text-align: center;
                    font-size: 13px;
                    background-color: #deeaf6;
                    font-weight: 700;
                    ">
                    All Approvers
                </td>
            </tr>
        </thead>
        <tbody style="border-spacing: 0px;">
        {% for item in request.allApprovers %}
            <tr style="height:40px;padding: 0px;">
                <td style="
                        text-align: center;
                        font-size: 13px;
                        font-weight: 700;
                    ">
                    {{ item }}
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <table style="width:40%;border: 1px solid #444;border-spacing: 0px;display: inline-table; margin-left: 20px">
        <thead style="border-spacing: 0px;">
        <tr style="height:40px;padding: 0px;">
            <td style="text-align: center;font-size: 13px;background-color: #deeaf6;font-weight: 700;">
                Already Approved By
            </td>
        </tr>
        </thead>
        <tbody style="border-spacing: 0px;">
        {% for item in request.approvers %}
            <tr style="height:40px;padding: 0px;">
                <td style="
                        text-align: center;
                        font-size: 13px;
                        font-weight: 700;
                    ">
                    {{ item }}
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
</div>
</body>
</html>